{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <h1>Liste des catégories</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td>{{ category.name }}</td>
                <td>
                    <a href="{{ path('category_show', {'id': category.id}) }}">Afficher</a>
                    <a href="{{ path('category_edit', {'id': category.id}) }}">Modifier</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">Aucune catégorie trouvée</td> 
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('category_new') }}">Créer une nouvelle catégorie </a>
{% endblock %}
